﻿using Syncfusion.Data;
using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace wpfPlayGround
{
    class Row
    {
        public double Value { get; set; } = 0;
        public int Group { get; set; } = 0;
    }
    class SelectorClass : StyleSelector
    {

        public override Style SelectStyle(object item, DependencyObject container)
        {
            var content = (container as GridCell).Content as string;
            if (double.TryParse(content, out double value))
            {
                if (value < 0)
                {
                    return App.Current.Resources["customTableSummaryNegative"] as Style;
                }
                else
                {
                    return App.Current.Resources["customTableSummaryPositive"] as Style;
                }
            }
            return null;
        }
    }
    class ViewModel
    {
        public ObservableCollection<Row> Rows { get; } = new ObservableCollection<Row> { };
        public StyleSelector TableSummaryRowStyleSelector { get; } = new SelectorClass();
    }
}
